﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hpp;hxx;hm;inl;inc;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx</Extensions>
    </Filter>
    <Filter Include="Source Files\freertos">
      <UniqueIdentifier>{0fc1f9ae-436c-46df-b6e0-83b6e0dffd1f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Header Files\freertos">
      <UniqueIdentifier>{b79e0061-227b-473a-8b0b-3fb6d3c5eea5}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\..\src\esys_freertos\esys_freertos_prec.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys_freertos\esys_freertos_dll.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys_freertos\plugin.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\esys_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\mutex_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\muteximpl_freetos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\semaphore_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\semaphoreimpl_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\system_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\systemplat_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\task_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\taskmngr_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\taskmngrplat_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\taskmngrplatimpl_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\taskplat_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\taskplatimpl_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\hooks_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\timer_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\timerimpl_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
    <ClCompile Include="..\..\src\esys\freertos\time_freertos.cpp">
      <Filter>Source Files\freertos</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\include\esys_freertos\esys_freertos_defs.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys_freertos\esys_freertos_prec.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys_freertos\version.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys_freertos\plugin.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\esys.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\mutex.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\muteximpl.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\semaphore.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\semaphoreimpl.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\system.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\systemplat.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\task.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\taskmngr.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\taskmngrplat.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\taskmngrplatimpl.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\taskplat.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\taskplatimpl.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\timer.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\timerimpl.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
    <ClInclude Include="..\..\include\esys\freertos\time.h">
      <Filter>Header Files\freertos</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\..\res\esys_freertos.rc">
      <Filter>Resource Files</Filter>
    </ResourceCompile>
  </ItemGroup>
</Project>